View Issue Details

IDProjectCategoryView StatusLast Update
0003615SymmetricDS ProBugpublic2018-07-06 13:36
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.9.0 
Target Version3.9.10Fixed in Version3.9.10 
Summary0003615: NullPointerException during RemoteStatus message reply
DescriptionObserved the following stack trace on a client installation. The assumption is that the web socket session was closed before the client could respond. Added protection and additional logging for this case.

2018-06-26 16:24:16,333 ERROR [corp-00000] [r] [qtp1360657223-16] Failed to send response for request batchstatus -f json response: {"id":"00778-\u003e00000-2","dir":"RESPONSE","payload":"{\"batches\":8,\"rows\":30000,\"byChannel\":[{\"channelId\":\"master_data\",\"batches\":8,\"rows\":30000}]}"} StackTraceKey.init [NullPointerException:276470709]
java.lang.NullPointerException
     at com.jumpmind.symmetric.console.remote.r.a(WsMessageHandler.java:84)
     at com.jumpmind.symmetric.console.remote.r.onMessage(WsMessageHandler.java:35)
     at org.eclipse.jetty.websocket.jsr356.messages.TextWholeMessage.messageComplete(TextWholeMessage.java:56)
     at org.eclipse.jetty.websocket.jsr356.endpoints.JsrEndpointEventDriver.onTextFrame(JsrEndpointEventDriver.java:218)
     at org.eclipse.jetty.websocket.common.events.AbstractEventDriver.incomingFrame(AbstractEventDriver.java:162)
     at org.eclipse.jetty.websocket.common.WebSocketSession.incomingFrame(WebSocketSession.java:375)
     at org.eclipse.jetty.websocket.common.extensions.ExtensionStack.incomingFrame(ExtensionStack.java:220)
     at org.eclipse.jetty.websocket.common.Parser.notifyFrame(Parser.java:220)
     at org.eclipse.jetty.websocket.common.Parser.parse(Parser.java:256)
     at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.readParse(AbstractWebSocketConnection.java:679)
     at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.onFillable(AbstractWebSocketConnection.java:511)
     at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:279)
     at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:104)
     at org.eclipse.jetty.io.ChannelEndPoint$2.run(ChannelEndPoint.java:124)
     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce(EatWhatYouKill.java:247)
     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.produce(EatWhatYouKill.java:140)
     at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run(EatWhatYouKill.java:131)
     at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run(ReservedThreadExecutor.java:243)
     at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:679)
     at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run(QueuedThreadPool.java:597)
     at java.lang.Thread.run(Thread.java:748)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-06-28 15:39 mmichalek New Issue
2018-06-28 15:39 mmichalek Status new => assigned
2018-06-28 15:39 mmichalek Assigned To => mmichalek
2018-07-06 13:36 mmichalek Status assigned => resolved
2018-07-06 13:36 mmichalek Resolution open => fixed
2018-07-06 13:36 mmichalek Fixed in Version => 3.9.10